# Contributing

Righteous! I'm happy that you want to contribute. :smile:

* Make sure that you're read and understand the [Code of Conduct](CODE_OF_CONDUCT.md).
* Check out the [issues tagged with the `starter` tag.](https://github.com/remixz/run-js/issues?q=is%3Aopen+is%3Aissue+label%3Astarter)

## run-js is an [OPEN Open Source Project](http://openopensource.org/)

### What?

Individuals making significant and valuable contributions are given
commit-access to the project to contribute as they see fit. This project
is more like an open wiki than a standard guarded open source project.

### Rules

There are a few basic ground-rules for contributors:

1. **No `--force` pushes** or modifying the Git history in any way. *(Exception: I use `git am -3` sometimes to clean up pull requests, and then commit them to the repo.)*
2. **Non-master branches** ought to be used for ongoing work.
3. **External API changes and significant modifications** ought to be subject to an **internal pull-request** to solicit feedback from other contributors.
4. Internal pull-requests to solicit feedback are *encouraged* for any other non-trivial contribution but left to the discretion of the contributor.
5. Contributors should adhere to the [JavaScript Standard code-style](https://github.com/feross/standard).

### Releases

Declaring formal releases remains the prerogative of the project maintainer.

### Changes to this arrangement

This is an experiment and feedback is welcome! This document may also be
subject to pull-requests or changes by contributors where you believe
you have something valuable to add or change.

Get a copy of this manifesto as [markdown](https://raw.githubusercontent.com/openopensource/openopensource.github.io/master/Readme.md) and use it in your own projects.
